include:
- remote: 'https://gitlab.com/xrow-public/ci-tools/raw/3.0/templates/.gitlab-common.yml'
- remote: 'https://gitlab.com/xrow-public/ci-tools/raw/3.0/templates/.gitlab-common-helm.yml'

stages:
- build
- test
- push
- deploy

test:helm: 
  extends: .helm_test
  stage: test
  environment:
    name: test
    url: https://$HOST
  needs:
  - job: "build:helm"
    artifacts: true
  rules:
  - exists:
    - chart/Chart.yaml